---
type: api
title: Deprecated: Get a managed integration
description: Deprecated. Use `GET /api/fleet/managed_integrations/{policyId}` instead. Get a managed integration by ID
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-fleet-agentless-policies-policyid
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-fleet-agentless-policies-policyid
products:
  - Kibana
---

# Deprecated: Get a managed integration

Availability: 9.5+

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/fleet/agentless_policies/{policyId}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

#### Path Parameters

- `policyId` (string · max: 256)
  The ID of the managed integration to retrieve.

## Description

Deprecated. Use `GET /api/fleet/managed_integrations/{policyId}` instead. Get a managed integration by ID

## Responses

#### `200`

Indicates a successful response

`application/json`

- `item` ({})
  - `additional_datastreams_permissions` ([] string · max: 1000)
    Additional data stream permissions granted to the managed integration.
  - `cloud_connector` ({})
    - `cloud_connector_id` (string · max: 255)
      The ID of the cloud connector.
    - `enabled` (boolean)
      Whether the cloud connector is active for this policy.
  - `created_at` (string · max: 64)
    Creation timestamp (ISO 8601).
  - `created_by` (string · max: 1024)
    User who created the policy.
  - `description` (string · max: 2048)
    Managed integration description.
  - `global_data_tags` ([] object · max: 100)
    Custom data tags applied to all data produced by this policy.
    - `name` (string · max: 1024)
      The name of the custom field.
    - `value` (union string | number)
      The value of the custom field.
  - `id` (string · max: 255)
    Managed integration unique identifier.
  - `inputs` (map string to object)
    Package policy inputs. Refer to the integration documentation to know which inputs are available.
    Map values (object)
    - `condition` (string · max: 10000) — nullable
      Agent condition expression to evaluate whether to apply this input.
    - `deprecated` ({})
      - `description` (string · max: 4096)
      - `replaced_by` (map string to string)
      - `since` (string · max: 50)
    - `enabled` (boolean)
      Enable or disable that input. Defaults to `true` (enabled).
    - `streams` (map string to object)
      Input streams. Refer to the integration documentation to know which streams are available.
      Map values (object)
      - `condition` (string · max: 10000) — nullable
        Agent condition expression to evaluate whether to apply this stream.
      - `deprecated` ({})
        - `description` (string · max: 4096)
        - `replaced_by` (map string to string)
        - `since` (string · max: 50)
      - `enabled` (boolean)
        Enable or disable that stream. Defaults to `true` (enabled).
      - `var_group_selections` (map string to string)
        Variable group selections. Maps var_group name to the selected option name within that group.
      - `vars` (map string to anyOf)
        Input/stream level variable. Refer to the integration documentation for more information.
    - `vars` (map string to anyOf)
      Input/stream level variable. Refer to the integration documentation for more information.
  - `name` (string · max: 255)
    Managed integration name.
  - `namespace` (string · max: 100)
    Policy namespace. Defaults to the agent policy namespace.
  - `package` ({})
    - `name` (string · max: 255)
      Integration package name.
    - `title` (string · max: 255)
      Integration package display title.
    - `version` (string · max: 50)
      Integration package version.
  - `updated_at` (string · max: 64)
    Last update timestamp (ISO 8601).
  - `updated_by` (string · max: 1024)
    User who last updated the policy.
  - `var_group_selections` (map string to string)
    Variable group selections. Maps var_group name to the selected option name within that group.
  - `vars` (map string to anyOf)
    Input/stream level variable. Refer to the integration documentation for more information.
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
#### `404`

Not Found

`application/json`

- `message` (string)
## Code Examples

#### Console

```console
GET /api/fleet/agentless_policies/{policyId}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/fleet/agentless_policies/{policyId}"
```

## Response Examples

#### Get managed integration response

Example response for getting a managed integration by ID

```json
{
  "item": {
    "created_at": "2025-11-06T18:27:43.541Z",
    "created_by": "test_user",
    "description": "test",
    "id": "d52a7812-5736-4fdc-aed8-72152afa1ffa",
    "inputs": {
      "ESS Billing-cel": {
        "enabled": true,
        "streams": {
          "ess_billing.billing": {
            "enabled": true,
            "vars": {
              "hide_sensitive": true,
              "http_client_timeout": "30s",
              "lookbehind": 365,
              "tags": [
                "forwarded",
                "billing"
              ]
            }
          },
          "ess_billing.credits": {
            "enabled": false
          }
        },
        "vars": {
          "api_key": {
            "id": "QY1sWpoBbWcMW-edr0Ee",
            "isSecretRef": true
          },
          "organization_id": "1234",
          "url": "https://billing.elastic-cloud.com"
        }
      }
    },
    "name": "ess_billing-1",
    "namespace": "default",
    "package": {
      "name": "ess_billing",
      "title": "Elasticsearch Service Billing",
      "version": "1.6.0"
    },
    "updated_at": "2025-11-06T18:27:43.541Z",
    "updated_by": "test_user"
  }
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

#### Not found error response

Example of a not found error response

```json
{
  "message": "Agentless policy d52a7812-5736-4fdc-aed8-72152afa1ffa not found"
}
```

